<div class="nnr-wrap">

	<?php require_once('header.php'); ?>

	<div class="nnr-container">

		<div role="tabpanel">

			<!-- Nav tabs -->
			<ul class="nav nav-tabs" role="tablist">
				<li role="presentation" class="active"><a href="#<?php echo self::$prefix;?>settings" aria-controls="home" role="tab" data-toggle="tab"><?php _e('Settings', self::$text_domain); ?></a></li>
				<li role="presentation"><a href="#<?php echo self::$prefix;?>updates" aria-controls="profile" role="tab" data-toggle="tab"><?php _e('Updates', self::$text_domain); ?></a></li>
			</ul>
			<br />

			<!-- Tab panes -->

			<div class="tab-content">

				<div role="tabpanel" class="tab-pane active" id="<?php echo self::$prefix;?>settings">

					<h2 id="nnr-heading"><?php _e("Settings", self::$text_domain); ?></h2>

					<form method="post" role="form" class="form-horizontal">

						<!-- Exclude views from -->

						<div class="form-group">
							<label for="<?php echo self::$prefix_dash; ?>exclude-views" class="col-sm-2 control-label"><?php _e( 'Exclude Views From', self::$text_domain); ?></label>
							<div class="col-sm-10">
								<select id="<?php echo self::$prefix_dash; ?>exclude-views" name="<?php echo self::$prefix_dash; ?>exclude-views">
									<option value="admins" <?php echo isset($settings['exclude_views']) && $settings['exclude_views'] == 'admins' ? 'selected' : ''; ?>><?php _e( 'admins', self::$text_domain); ?></option>
									<option value="author" <?php echo isset($settings['exclude_views']) && $settings['exclude_views'] == 'author' ? 'selected' : ''; ?>><?php _e( 'author', self::$text_domain); ?></option>
									<option value="users" <?php echo isset($settings['exclude_views']) && $settings['exclude_views'] == 'users' ? 'selected' : ''; ?>><?php _e( 'users', self::$text_domain); ?></option>
									<option value="no_one" <?php echo isset($settings['exclude_views']) && $settings['exclude_views'] == 'no_one' ? 'selected' : ''; ?>><?php _e( 'no one', self::$text_domain); ?></option>
								</select>
								<em class="help-block"><?php _e('How to determine a view based off of who views a post or page.This will only propagate through all future views, and will not effect all previously counted views.', self::$text_domain); ?></em>
							</div>
						</div>

						<?php wp_nonce_field(self::$prefix . 'admin_settings'); ?>

						<p class="submit"><input type="submit" name="submit" id="submit" class="btn btn-primary" value="<?php _e("Save Changes", self::$text_domain); ?>"></p>

					</form>

				</div>

				<div role="tabpanel" class="tab-pane form-horizontal" id="<?php echo self::$prefix;?>updates" role="form">

					<h2 id="nnr-heading"><?php _e("Updates", self::$text_domain); ?></h2>

					<div class="form-group has-feedback <?php echo self::$prefix_dash; ?>license-key-feedback">
						<label class="control-label col-sm-3"><?php _e("License Key", self::$text_domain); ?></label>

						<div class="col-sm-9">
							<div class="col-sm-8" style="padding-left:0px;">
								<input type="text" class="form-control <?php echo self::$prefix_dash; ?>license-key" value="<?php echo $license_key; ?>" placeholder="<?php _e('Enter your License Key', self::$text_domain); ?>"/>
							</div>
						</div>

					</div>

					<!-- Check PHP Version -->

					<?php if ( version_compare(phpversion(), NNROBOTS_POPULAR_POSTS_MIN_PHP_VERSION) < 1 ) { ?>

						<div class="form-group has-feedback has-error">
							<label class="col-sm-3 control-label"><?php _e("PHP Version Info", self::$text_domain); ?></label>
							<div class="col-sm-9">
								<p class="form-control-static" style="color:#a94442;"><?php _e('The required minimum version of PHP is <strong>v' . NNROBOTS_POPULAR_POSTS_MIN_PHP_VERSION . '</strong> and your version is <strong>v' . phpversion() . '</strong>. Your version of PHP is outdated and we strongly recommend that you <a href="https://99robots.com/?p=7356" target="_blank">update</a> your version of PHP to at least <strong>v' . NNROBOTS_POPULAR_POSTS_MIN_PHP_VERSION . '</strong>.', self::$text_domain); ?></p>
							</div>
						</div>

					<?php } else { ?>

						<div class="form-group">
							<label class="col-sm-3 control-label"><?php _e("PHP Version Info", self::$text_domain); ?></label>
							<div class="col-sm-9">
								<p class="form-control-static"><?php _e('The required minimum version of PHP is <strong>v' . NNROBOTS_POPULAR_POSTS_MIN_PHP_VERSION . '</strong> and your version is <strong>v' . phpversion() . '</strong>. You have a sufficient version of a PHP.', self::$text_domain); ?></p>
							</div>
						</div>

					<?php } ?>

					<!-- Display WordPress and Plguin Version -->

					<div class="form-group">
						<label class="col-sm-3 control-label"><?php _e("Version Info", self::$text_domain); ?></label>
						<div class="col-sm-9">
							<p class="form-control-static"><?php _e("You are currently running " . NNROBOTS_POPULAR_POSTS_ITEM_NAME . "  <strong>v" . NNROBOTS_POPULAR_POSTS_VERSION_NUM . "</strong> on WordPress <strong>v" . $wp_version . '</strong>', self::$text_domain); ?></p>
						</div>
					</div>

				</div>

			</div>
		</div>

	</div>

	<?php require_once('footer.php'); ?>

</div>